Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.plus.jaas.callback
Class ObjectCallback

    java.lang.Object
      org.eclipse.jetty.plus.jaas.callback.ObjectCallback

All Implemented Interfaces:
  javax.security.auth.callback.Callback

    public class ObjectCallback

extends java.lang.Object
implements javax.security.auth.callback.Callback

ObjectCallback

Can be used as a LoginModule Callback to obtain a user's credential as an Object, rather than a char[], to which some credentials may not be able to be converted

#### Notes

#### Usage

###

###

###

###

###

    Field Summary

    protected  java.lang.Object
    _object

    Constructor Summary

    ObjectCallback()

    Method Summary

     void
    clearObject()

     java.lang.Object
    getObject()

     void
    setObject(java.lang.Object o)

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Field Detail

    _object

    protected java.lang.Object _object

    Constructor Detail

    ObjectCallback

    public ObjectCallback()

    Method Detail

    setObject

    public void setObject(java.lang.Object o)

    getObject

    public java.lang.Object getObject()

    clearObject

    public void clearObject()

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.